%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  bubbleHeatmap
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Produces 'bubbleHeatmap' Plots for Visualising Metabolomics Data

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-grid 
BuildRequires:    R-CRAN-reshape 
BuildRequires:    R-methods 
Requires:         R-grid 
Requires:         R-CRAN-reshape 
Requires:         R-methods 

%description
Plotting package based on the grid system, combining elements of a bubble
plot and heatmap to conveniently display two numerical variables,
(represented by color and size) grouped by categorical variables on the x
and y axes. This is a useful alternative to a forest plot when the data
can be grouped in two dimensions, such as predictors x outcomes. It has
particular advantages for visualising the metabolic measures produced by
the 'Nightingale Health' metabolomics platform, and templates are included
for automatically generating figures from these datasets.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
